require 'div/div'
require 'div/tofusession'

#device file
require 'device/lamp1intf'

class LivingBaseDiv < Div::Div 
  set_erb('erb/living.erb')
  def initialize(session)
    super(session)
    # page template constance
    # device instance
    @Lamp1Intf = Lamp1Div.new(session)
  end
end

class LivingTofuSession < Div::TofuSession
  def initialize(bartender, hint = nil)
    super(bartender, hint)
    @base = LivingBaseDiv.new(self)
  end

  def do_GET(context)
    update_div(context)
    context.res_header('content-type', 'text/html; charset=euc-jp')
    context.res_body(@base.to_html(context))
  end
end

